/**
 * @file Nextion.h
 *
 * The header file including all other header files provided by this library. 
 *
 * Every example sketch should include this file. 
 *
 * @author  Wu Pengfei (email:<pengfei.wu@itead.cc>)
 * @date    2015/8/12
 * @copyright 
 * Copyright (C) 2014-2015 ITEAD Intelligent Systems Co., Ltd. \n
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 */
#ifndef __NEXTION_H__
#define __NEXTION_H__
#include "NexObject.h"
#include "NexConfig.h"
#include "NexTouch.h"
#include "NexHardware.h"
#include "NexNumber.h"
#include "NexButton.h"
#include "NexPage.h"
#include "NexProgressBar.h"
#include "NexSlider.h"
#include "NexText.h"

#endif /* #ifndef __NEXTION_H__ */

